
; some Win32 structures and constants

struc WNDCLASS
 {
   .style	   dd  ?
   .lpfnWndProc    dd  ?
   .cbClsExtra	   dd  ?
   .cbWndExtra	   dd  ?
   .hInstance	   dd  ?
   .hIcon	   dd  ?
   .hCursor	   dd  ?
   .hbrBackground  dd  ?
   .lpszMenuName   dd  ?
   .lpszClassName  dd  ?
 }

struc MSG
 {
   .hwnd     dd  ?
   .message  dd  ?
   .wParam   dd  ?
   .lParam   dd  ?
   .time     dd  ?
   .pt	     dd  ?
 }

WM_STATE	     = 0000h
WM_NULL 	     = 0000h
WM_CREATE	     = 0001h
WM_DESTROY	     = 0002h
WM_MOVE 	     = 0003h
WM_SIZE 	     = 0005h
WM_ACTIVATE	     = 0006h
WM_SETFOCUS	     = 0007h
WM_KILLFOCUS	     = 0008h
WM_ENABLE	     = 000Ah
WM_SETREDRAW	     = 000Bh
WM_SETTEXT	     = 000Ch
WM_GETTEXT	     = 000Dh
WM_GETTEXTLENGTH     = 000Eh
WM_PAINT	     = 000Fh
WM_CLOSE	     = 0010h
WM_QUERYENDSESSION   = 0011h
WM_QUIT 	     = 0012h
WM_QUERYOPEN	     = 0013h
WM_ERASEBKGND	     = 0014h
WM_SYSCOLORCHANGE    = 0015h
WM_ENDSESSION	     = 0016h
WM_SYSTEMERROR	     = 0017h
WM_SHOWWINDOW	     = 0018h
WM_CTLCOLOR	     = 0019h
WM_WININICHANGE      = 001Ah
WM_DEVMODECHANGE     = 001Bh
WM_ACTIVATEAPP	     = 001Ch
WM_FONTCHANGE	     = 001Dh
WM_TIMECHANGE	     = 001Eh
WM_CANCELMODE	     = 001Fh
WM_SETCURSOR	     = 0020h
WM_MOUSEACTIVATE     = 0021h
WM_CHILDACTIVATE     = 0022h
WM_QUEUESYNC	     = 0023h
WM_GETMINMAXINFO     = 0024h
WM_PAINTICON	     = 0026h
WM_ICONERASEBKGND    = 0027h
WM_NEXTDLGCTL	     = 0028h
WM_SPOOLERSTATUS     = 002Ah
WM_DRAWITEM	     = 002Bh
WM_MEASUREITEM	     = 002Ch
WM_DELETEITEM	     = 002Dh
WM_VKEYTOITEM	     = 002Eh
WM_CHARTOITEM	     = 002Fh
WM_SETFONT	     = 0030h
WM_GETFONT	     = 0031h
WM_QUERYDRAGICON     = 0037h
WM_COMPAREITEM	     = 0039h
WM_COMPACTING	     = 0041h
WM_COMMNOTIFY	     = 0044h
WM_WINDOWPOSCHANGING = 0046h
WM_WINDOWPOSCHANGED  = 0047h
WM_POWER	     = 0048h
WM_NCCREATE	     = 0081h
WM_NCDESTROY	     = 0082h
WM_NCCALCSIZE	     = 0083h
WM_NCHITTEST	     = 0084h
WM_NCPAINT	     = 0085h
WM_NCACTIVATE	     = 0086h
WM_GETDLGCODE	     = 0087h
WM_NCMOUSEMOVE	     = 00A0h
WM_NCLBUTTONDOWN     = 00A1h
WM_NCLBUTTONUP	     = 00A2h
WM_NCLBUTTONDBLCLK   = 00A3h
WM_NCRBUTTONDOWN     = 00A4h
WM_NCRBUTTONUP	     = 00A5h
WM_NCRBUTTONDBLCLK   = 00A6h
WM_NCMBUTTONDOWN     = 00A7h
WM_NCMBUTTONUP	     = 00A8h
WM_NCMBUTTONDBLCLK   = 00A9h
WM_KEYFIRST	     = 0100h
WM_KEYDOWN	     = 0100h
WM_KEYUP	     = 0101h
WM_CHAR 	     = 0102h
WM_DEADCHAR	     = 0103h
WM_SYSKEYDOWN	     = 0104h
WM_SYSKEYUP	     = 0105h
WM_SYSCHAR	     = 0106h
WM_SYSDEADCHAR	     = 0107h
WM_KEYLAST	     = 0108h
WM_INITDIALOG	     = 0110h
WM_COMMAND	     = 0111h
WM_SYSCOMMAND	     = 0112h
WM_TIMER	     = 0113h
WM_HSCROLL	     = 0114h
WM_VSCROLL	     = 0115h
WM_INITMENU	     = 0116h
WM_INITMENUPOPUP     = 0117h
WM_MENUSELECT	     = 011Fh
WM_MENUCHAR	     = 0120h
WM_ENTERIDLE	     = 0121h
WM_MOUSEFIRST	     = 0200h
WM_MOUSEMOVE	     = 0200h
WM_LBUTTONDOWN	     = 0201h
WM_LBUTTONUP	     = 0202h
WM_LBUTTONDBLCLK     = 0203h
WM_RBUTTONDOWN	     = 0204h
WM_RBUTTONUP	     = 0205h
WM_RBUTTONDBLCLK     = 0206h
WM_MBUTTONDOWN	     = 0207h
WM_MBUTTONUP	     = 0208h
WM_MBUTTONDBLCLK     = 0209h
WM_MOUSELAST	     = 0209h
WM_PARENTNOTIFY      = 0210h
WM_ENTERMENULOOP     = 0211h
WM_EXITMENULOOP      = 0212h
WM_MDICREATE	     = 0220h
WM_MDIDESTROY	     = 0221h
WM_MDIACTIVATE	     = 0222h
WM_MDIRESTORE	     = 0223h
WM_MDINEXT	     = 0224h
WM_MDIMAXIMIZE	     = 0225h
WM_MDITILE	     = 0226h
WM_MDICASCADE	     = 0227h
WM_MDIICONARRANGE    = 0228h
WM_MDIGETACTIVE      = 0229h
WM_MDISETMENU	     = 0230h
WM_DROPFILES	     = 0233h
WM_CUT		     = 0300h
WM_COPY 	     = 0301h
WM_PASTE	     = 0302h
WM_CLEAR	     = 0303h
WM_UNDO 	     = 0304h
WM_RENDERFORMAT      = 0305h
WM_RENDERALLFORMATS  = 0306h
WM_DESTROYCLIPBOARD  = 0307h
WM_DRAWCLIPBOARD     = 0308h
WM_PAINTCLIPBOARD    = 0309h
WM_VSCROLLCLIPBOARD  = 030Ah
WM_SIZECLIPBOARD     = 030Bh
WM_ASKCBFORMATNAME   = 030Ch
WM_CHANGECBCHAIN     = 030Dh
WM_HSCROLLCLIPBOARD  = 030Eh
WM_QUERYNEWPALETTE   = 030Fh
WM_PALETTEISCHANGING = 0310h
WM_PALETTECHANGED    = 0311h
WM_PENWINFIRST	     = 0380h
WM_PENWINLAST	     = 038Fh
WM_COALESCE_FIRST    = 0390h
WM_COALESCE_LAST     = 039Fh
WM_USER 	     = 0400h

SW_HIDE 	   = 0
SW_SHOWNORMAL	   = 1
SW_NORMAL	   = 1
SW_SHOWMINIMIZED   = 2
SW_SHOWMAXIMIZED   = 3
SW_MAXIMIZE	   = 3
SW_SHOWNOACTIVATE  = 4
SW_SHOW 	   = 5
SW_MINIMIZE	   = 6
SW_SHOWMINNOACTIVE = 7
SW_SHOWNA	   = 8
SW_RESTORE	   = 9
SW_SHOWDEFAULT	   = 10

CS_VREDRAW	   = 0001h
CS_HREDRAW	   = 0002h
CS_KEYCVTWINDOW    = 0004h
CS_DBLCLKS	   = 0008h
CS_OWNDC	   = 0020h
CS_CLASSDC	   = 0040h
CS_PARENTDC	   = 0080h
CS_NOKEYCVT	   = 0100h
CS_SAVEBITS	   = 0800h
CS_NOCLOSE	   = 0200h
CS_BYTEALIGNCLIENT = 1000h
CS_BYTEALIGNWINDOW = 2000h
CS_PUBLICCLASS	   = 4000h
CS_GLOBALCLASS	   = CS_PUBLICCLASS

WS_OVERLAPPED	= 000000000h
WS_ICONICPOPUP	= 0C0000000h
WS_POPUP	= 080000000h
WS_CHILD	= 040000000h
WS_MINIMIZE	= 020000000h
WS_VISIBLE	= 010000000h
WS_DISABLED	= 008000000h
WS_CLIPSIBLINGS = 004000000h
WS_CLIPCHILDREN = 002000000h
WS_MAXIMIZE	= 001000000h
WS_CAPTION	= 000C00000h
WS_BORDER	= 000800000h
WS_DLGFRAME	= 000400000h
WS_VSCROLL	= 000200000h
WS_HSCROLL	= 000100000h
WS_SYSMENU	= 000080000h
WS_THICKFRAME	= 000040000h
WS_HREDRAW	= 000020000h
WS_VREDRAW	= 000010000h
WS_GROUP	= 000020000h
WS_TABSTOP	= 000010000h
WS_MINIMIZEBOX	= 000020000h
WS_MAXIMIZEBOX	= 000010000h

WS_OVERLAPPEDWINDOW = WS_OVERLAPPED or WS_CAPTION or WS_SYSMENU or WS_THICKFRAME or WS_MINIMIZEBOX or WS_MAXIMIZEBOX
WS_POPUPWINDOW	    = WS_POPUP or WS_BORDER or WS_SYSMENU
WS_CHILDWINDOW	    = WS_CHILD
WS_TILEDWINDOW	    = WS_OVERLAPPEDWINDOW
WS_TILED	    = WS_OVERLAPPED
WS_ICONIC	    = WS_MINIMIZE
WS_SIZEBOX	    = WS_THICKFRAME

WS_EX_DLGMODALFRAME    = 00001h
WS_EX_DRAGOBJECT       = 00002h
WS_EX_NOPARENTNOTIFY   = 00004h
WS_EX_TOPMOST	       = 00008h
WS_EX_ACCEPTFILES      = 00010h
WS_EX_TRANSPARENT      = 00020h
WS_EX_MDICHILD	       = 00040h
WS_EX_TOOLWINDOW       = 00080h
WS_EX_WINDOWEDGE       = 00100h
WS_EX_CLIENTEDGE       = 00200h
WS_EX_CONTEXTHELP      = 00400h
WS_EX_RIGHT	       = 01000h
WS_EX_LEFT	       = 00000h
WS_EX_RTLREADING       = 02000h
WS_EX_LTRREADING       = 00000h
WS_EX_LEFTSCROLLBAR    = 04000h
WS_EX_RIGHTSCROLLBAR   = 00000h
WS_EX_CONTROLPARENT    = 10000h
WS_EX_STATICEDGE       = 20000h
WS_EX_APPWINDOW        = 40000h
WS_EX_OVERLAPPEDWINDOW = WS_EX_WINDOWEDGE or WS_EX_CLIENTEDGE
WS_EX_PALETTEWINDOW    = WS_EX_WINDOWEDGE or WS_EX_TOOLWINDOW or WS_EX_TOPMOST

IDC_ARROW	= 32512
IDC_IBEAM	= 32513
IDC_WAIT	= 32514
IDC_CROSS	= 32515
IDC_UPARROW	= 32516
IDC_SIZE	= 32640
IDC_ICON	= 32641
IDC_SIZENWSE	= 32642
IDC_SIZENESW	= 32643
IDC_SIZEWE	= 32644
IDC_SIZENS	= 32645
IDC_NO		= 32648
IDC_HAND	= 32649
IDC_APPSTARTING = 32650
IDC_HELP	= 32651

IDI_APPLICATION = 32512
IDI_HAND	= 32513
IDI_QUESTION	= 32514
IDI_EXCLAMATION = 32515
IDI_ASTERISK	= 32516
IDI_WINLOGO	= 32517

COLOR_SCROLLBAR 	      = 0
COLOR_BACKGROUND	      = 1
COLOR_ACTIVECAPTION	      = 2
COLOR_INACTIVECAPTION	      = 3
COLOR_MENU		      = 4
COLOR_WINDOW		      = 5
COLOR_WINDOWFRAME	      = 6
COLOR_MENUTEXT		      = 7
COLOR_WINDOWTEXT	      = 8
COLOR_CAPTIONTEXT	      = 9
COLOR_ACTIVEBORDER	      = 10
COLOR_INACTIVEBORDER	      = 11
COLOR_APPWORKSPACE	      = 12
COLOR_HIGHLIGHT 	      = 13
COLOR_HIGHLIGHTTEXT	      = 14
COLOR_BTNFACE		      = 15
COLOR_BTNSHADOW 	      = 16
COLOR_GRAYTEXT		      = 17
COLOR_BTNTEXT		      = 18
COLOR_INACTIVECAPTIONTEXT     = 19
COLOR_BTNHIGHLIGHT	      = 20
COLOR_3DDKSHADOW	      = 21
COLOR_3DLIGHT		      = 22
COLOR_INFOTEXT		      = 23
COLOR_INFOBK		      = 24
COLOR_HOTLIGHT		      = 26
COLOR_GRADIENTACTIVECAPTION   = 27
COLOR_GRADIENTINACTIVECAPTION = 28

MB_OK			= 000000h
MB_OKCANCEL		= 000001h
MB_ABORTRETRYIGNORE	= 000002h
MB_YESNOCANCEL		= 000003h
MB_YESNO		= 000004h
MB_RETRYCANCEL		= 000005h
MB_ICONHAND		= 000010h
MB_ICONQUESTION 	= 000020h
MB_ICONEXCLAMATION	= 000030h
MB_ICONASTERISK 	= 000040h
MB_DEFBUTTON1		= 000000h
MB_DEFBUTTON2		= 000100h
MB_DEFBUTTON3		= 000200h
MB_APPLMODAL		= 000000h
MB_SYSTEMMODAL		= 001000h
MB_TASKMODAL		= 002000h
MB_NOFOCUS		= 008000h
MB_SETFOREGROUND	= 010000h
MB_DEFAULT_DESKTOP_ONLY = 020000h
MB_TOPMOST		= 040000h
MB_RIGHT		= 080000h
MB_RTLREADING		= 100000h
MB_SERVICE_NOTIFICATION = 200000h

IDOK	 = 1
IDCANCEL = 2
IDABORT  = 3
IDRETRY  = 4
IDIGNORE = 5
IDYES	 = 6
IDNO	 = 7
IDCLOSE  = 8
IDHELP	 = 9
