
; imports definition

section '.idata' import data readable writeable

  macro library [label,string]
   {
     local _label,_end
     dd 0,0,0,rva _label,rva label
     _end:
   }
   {
     if _end = $
       dd 0,0,0,0,0
     end if
   }
   {
     _label db string,0
   }

  macro import [label,string]
   {
     local _label
     label dd rva _label
   }
   {
     if label = $-4
       dd 0
     end if
   }
   {
     _label dw 0
	    db string,0
   }

  library kernel,'KERNEL32.DLL',\
	  user,'USER32.DLL'

  kernel:
  import GetModuleHandle,'GetModuleHandleA',\
	 ExitProcess,'ExitProcess'

  user:
  import RegisterClass,'RegisterClassA',\
	 CreateWindowEx,'CreateWindowExA',\
	 ShowWindow,'ShowWindow',\
	 UpdateWindow,'UpdateWindow',\
	 DefWindowProc,'DefWindowProcA',\
	 GetMessage,'GetMessageA',\
	 TranslateMessage,'TranslateMessage',\
	 DispatchMessage,'DispatchMessageA',\
	 LoadCursor,'LoadCursorA',\
	 LoadIcon,'LoadIconA',\
	 MessageBox,'MessageBoxA',\
	 MessageBeep,'MessageBeep',\
	 PostQuitMessage,'PostQuitMessage'
